darcs

Issue 2248 Rebase status message printed even if no patches suspended

Title Rebase status message printed even if no patches suspended
Priority bug Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List ganesh, owst
Assigned To
Topics Rebase

Created on 2012-09-29.19:34:28 by owst, last changed 2013-06-08.20:37:10 by noreply.

Messages
msg16144 (view) Author: owst Date: 2012-09-29.19:34:27
1. Summarise the issue (what were doing, what went wrong?)

Attempting to suspend a patch which is depended on by working dir
changes fails. If all patches that are attempting to be suspended fail
to be suspended, we still get the rebase status message:

> darcs init --repo R
> cd R
> touch foo; darcs rec -alm 'Add foo'
> echo foo > foo
> darcs rec -am 'change foo'
> echo bar > foo
> echo yd | darcs rebase susp
[...]
darcs failed:  Can't suspend selected patches without reverting some
unrecorded change
> darcs wh
hunk ./foo 1
-foo
+bar
Rebase in progress: 0 suspended patches
Rebase in progress: 0 suspended patches

2. What behaviour were you expecting instead?

I shouldn't see this message, if no patches were suspended!

3. What darcs version are you using? (Try: darcs --exact-version)

2.9.5 +6 patches

4. What operating system are you running?

Linux x86_64
msg16342 (view) Author: ganesh Date: 2012-11-11.18:08:33
Need to abort the rebase properly when nothing is suspended
msg16840 (view) Author: noreply Date: 2013-06-08.20:37:09
The following patch sent by Ganesh Sittampalam <ganesh@earth.li> updated issue issue2248 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2248: always clean up rebase-in-progress state 
Ignore-this: f2815d49b46eb9ab1f8b01480a08187c
History
Date User Action Args
2012-09-29 19:34:28owstcreate
2012-11-11 18:08:35ganeshsetstatus: unknown -> needs-implementation
nosy: + ganesh
topic: + Rebase
messages: + msg16342
milestone: 2.10.0 HEAD
2013-01-03 20:53:01markstoslinkissue2291 superseder
2013-02-16 14:51:56koweysetpriority: bug
2013-06-08 20:37:10noreplysetstatus: needs-implementation -> resolved
messages: + msg16840
resolvedin: 2.10.0 HEAD